## ros-melodic-cob-perception-msgs 0.6.17

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_perception_msgs)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  geometry_msgs
  message_generation
  sensor_msgs
  std_msgs
)

#######################################
## Declare ROS messages and services ##
#######################################


## Generate messages in the 'msg' folder
add_message_files(
  DIRECTORY
    msg
  FILES 
    ColorDepthImage.msg
    ColorDepthImageArray.msg
    Detection.msg
    DetectionArray.msg
    Float64ArrayStamped.msg
    Mask.msg
    People.msg
    Person.msg
    PersonStamped.msg
    PointCloud2Array.msg
    PositionMeasurement.msg 
    PositionMeasurementArray.msg
    Rect.msg
    Skeleton.msg
)

## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
	geometry_msgs
	sensor_msgs
	std_msgs
)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  CATKIN_DEPENDS
    geometry_msgs
    message_runtime
    sensor_msgs
    std_msgs
)

include_directories(
	${catkin_INCLUDE_DIRS}
)

=== debian/changelog ===
ros-melodic-cob-perception-msgs (0.6.17-1bionic) bionic; urgency=high



 -- Richard Bormann <rmb@ipa.fhg.de>  Tue, 13 Oct 2020 22:00:00 -0000

ros-melodic-cob-perception-msgs (0.6.16-1bionic) bionic; urgency=high

  * Merge pull request #101 <https://github.com/ipa320/cob_perception_common/issues/101> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Richard Bormann <rmb@ipa.fhg.de>  Fri, 09 Oct 2020 22:00:00 -0000

ros-melodic-cob-perception-msgs (0.6.15-1bionic) bionic; urgency=high

  * Merge pull request #99 <https://github.com/ipa320/cob_perception_common/issues/99> from fmessmer/ci_updates
    [travis] ci updates
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer

 -- Richard Bormann <rmb@ipa.fhg.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-melodic-cob-perception-msgs (0.6.14-1bionic) bionic; urgency=high



 -- Richard Bormann <rmb@ipa.fhg.de>  Mon, 05 Aug 2019 22:00:00 -0000

ros-melodic-cob-perception-msgs (0.6.13-1bionic) bionic; urgency=high



 -- Richard Bormann <rmb@ipa.fhg.de>  Wed, 13 Mar 2019 23:00:00 -0000

ros-melodic-cob-perception-msgs (0.6.12-1bionic) bionic; urgency=high



 -- Richard Bormann <rmb@ipa.fhg.de>  Fri, 20 Jul 2018 22:00:00 -0000

ros-melodic-cob-perception-msgs (0.6.11-1bionic) bionic; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * use license apache 2.0
  * Contributors: ipa-fxm, ipa-uhr-mk

 -- Richard Bormann <rmb@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-melodic-cob-perception-msgs (0.6.10-1bionic) bionic; urgency=high



 -- Richard Bormann <rmb@ipa.fhg.de>  Wed, 19 Jul 2017 22:00:00 -0000

ros-melodic-cob-perception-msgs (0.6.9-1bionic) bionic; urgency=high

  * manually fix changelog
  * Contributors: ipa-fxm

 -- Richard Bormann <rmb@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-melodic-cob-perception-msgs (0.6.8-1bionic) bionic; urgency=high

  * added publisher to image flip for providing the inverse inplane rotation to subscribers to the upright image
  * Contributors: Richard Bormann

 -- Richard Bormann <rmb@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-melodic-cob-perception-msgs (0.6.7-1bionic) bionic; urgency=high

  * fix remaining issues from #54 <https://github.com/ipa320/cob_perception_common/issues/54>
  * conversion to package format 2
  * Contributors: Richard Bormann, ipa-fmw

 -- Richard Bormann <rmb@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-melodic-cob-perception-msgs (0.6.6-1bionic) bionic; urgency=high



 -- Richard Bormann <rmb@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-melodic-cob-perception-msgs (0.6.5-1bionic) bionic; urgency=high

  * update changelog
  * Merge branch 'indigo_dev' of github.com:ipa320/cob_perception_common into 320-indigo_dev
  * added message description
  * Merge pull request #43 <https://github.com/ipa320/cob_perception_common/issues/43> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge branch 'indigo_dev' into hydro_dev
  * catkinizing
  * eliminating catkin warnings
  * Merge branch 'hydro_dev' of github.com:rmb-om/cob_perception_common into rmb-om-hydro_dev
  * Merge branch 'indigo_dev' of https://github.com/ipa-rmb/cob_perception_common into hydro_dev
  * added skeleton msg
  * Using standard random number generator, replaced precompiled headers with references to a file within this metapackage. Adapted package description.
  * Added new messages for people detection
  * Added new messages for people detection
  * moved the cob_people_detections_msgs package to cob_perception_common/cob_perception_msgs
  * Contributors: Florian Weisshardt, Richard Bormann, ipa-jsf, rmb-om

 -- Richard Bormann <rmb@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-melodic-cob-perception-msgs (0.6.4-1bionic) bionic; urgency=high

  * 0.5.12
  * update changelog
  * cleanup changelog
  * 0.5.11
  * update changelog
  * Contributors: Florian Weisshardt

 -- Richard Bormann <rmb@ipa.fhg.de>  Tue, 16 Sep 2014 22:00:00 -0000

ros-melodic-cob-perception-msgs (0.6.3-1bionic) bionic; urgency=high



 -- Richard Bormann <rmb@ipa.fhg.de>  Sun, 07 Sep 2014 22:00:00 -0000

ros-melodic-cob-perception-msgs (0.6.2-1bionic) bionic; urgency=high

  * increase version number for indigo
  * 0.5.10
  * update changelog
  * downgrade version for hydro
  * Contributors: Florian Weisshardt

 -- Richard Bormann <rmb@ipa.fhg.de>  Sun, 31 Aug 2014 22:00:00 -0000

ros-melodic-cob-perception-msgs (0.6.1-1bionic) bionic; urgency=high



 -- Richard Bormann <rmb@ipa.fhg.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-melodic-cob-perception-msgs (0.6.0-1bionic) bionic; urgency=high

  * 0.5.6
  * 0.5.5
  * update changelog
  * 0.5.5
  * update changelog
  * Contributors: Florian Weisshardt

 -- Richard Bormann <rmb@ipa.fhg.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-melodic-cob-perception-msgs (0.5.10-1bionic) bionic; urgency=high

  * downgrade version for hydro
  * 0.6.1
  * update changelog
  * 0.6.0
  * update changelog
  * 0.5.5
  * update changelog
  * Contributors: Florian Weisshardt

 -- Richard Bormann <rmb@ipa.fhg.de>  Thu, 28 Aug 2014 22:00:00 -0000

ros-melodic-cob-perception-msgs (0.5.5-1bionic) bionic; urgency=high



 -- Richard Bormann <rmb@ipa.fhg.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-melodic-cob-perception-msgs (0.5.4-1bionic) bionic; urgency=high

  * unify version number
  * update changelog
  * catkinize cob_perception_msgs
  * convert stack to metapackge, ignore all pacakges within for now
  * added cob_perception_msgs package
  * Contributors: Florian Weisshardt, Richard Bormann, ipa-mig

 -- Richard Bormann <rmb@ipa.fhg.de>  Sun, 24 Aug 2014 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-cob-perception-msgs
Section: misc
Priority: optional
Maintainer: Richard Bormann <rmb@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Homepage: http://wiki.ros.org/cob_perception_msgs
Standards-Version: 3.9.2

Package: ros-melodic-cob-perception-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometry-msgs, ros-melodic-message-runtime, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Description: This package contains common message type definitions for perception tasks.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-cob-perception-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
